<script setup>
import data from '@/json/layout/navabr.json'
import { ref } from 'vue'

const drawer = ref(false)

</script>

<template>
    <div class="TheNavbar d-flex justify-center">
        <v-container class="d-flex justify-space-between align-center mx-md-16 mx-auto">
            <v-app-bar-nav-icon variant="text" @click.stop="drawer = !drawer" class="d-lg-none d-block">
                <BootstrapIcon name="list" />
            </v-app-bar-nav-icon>
            <v-navigation-drawer app v-model="drawer" temporary location="right">
                <NuxtLink to="/">
                    <v-toolbar-title class="text-center">pacific</v-toolbar-title>
                </NuxtLink>
                <ul class="navbar-items px-5">
                    <li class="mb-3 ml-0" v-for="(item, i) in data.navItems" :key="i">
                        <template v-if="item.path == '/services'">
                            <v-expansion-panels>
                                <v-expansion-panel :selected-class="'white'" elevation="0">
                                    <v-expansion-panel-title class="pa-0">
                                        <div class="d-flex">
                                            <p> خدمات ما </p>
                                            <small>
                                                <BootstrapIcon class="ms-2" name="chevron-down" />
                                            </small>
                                        </div>
                                    </v-expansion-panel-title>
                                    <v-expansion-panel-text class="px-0">
                                        <SharedServices />
                                    </v-expansion-panel-text>
                                </v-expansion-panel>
                            </v-expansion-panels>
                        </template>
                        <NuxtLink v-else :to="item.path">
                            {{ item.title }}
                        </NuxtLink>
                        <v-divider class="mt-3"></v-divider>
                    </li>
                </ul>
                <NuxtLink to="/inquiry">
                    <v-btn class="text-center mx-auto d-block my-5" variant="tonal" rounded="xl" color="#0139ff">
                        {{ data.buttonText }}
                    </v-btn>
                </NuxtLink>
            </v-navigation-drawer>
            <div class="d-flex align-center">
                <NuxtLink to="/">
                    <v-toolbar-title class="text-md-right text-center ml-md-10 ml-0">pacific</v-toolbar-title>
                </NuxtLink>
                <ul class="navbar-items d-lg-flex d-none">
                    <li v-for="(item, i) in data.navItems" :key="i">
                        <template v-if="item.path == '/services'">
                            <v-menu class="custom-menu" activator="parent">
                                <template v-slot:activator="{ on }">
                                    <div class="d-flex">
                                        <p> خدمات ما </p>
                                        <small>
                                            <BootstrapIcon class="ms-2" name="chevron-down" />
                                        </small>
                                    </div>
                                </template>
                                <SharedServices class="px-5 pt-4" />
                            </v-menu>
                        </template>
                        <NuxtLink v-else :to="item.path">
                            {{ item.title }}
                        </NuxtLink>
                    </li>
                </ul>
            </div>
            <NuxtLink to="/inquiry" class=" d-sm-block d-none">
                <v-btn class="product-form" variant="tonal" rounded="xl" color="#0139ff">
                    {{ data.buttonText }}
                </v-btn>
            </NuxtLink>
        </v-container>
    </div>
</template>

<style lang="scss">
.custom-menu {
    .v-list {
        border-radius: 16px !important;
        box-shadow: 0 10px 15px rgba(58, 112, 191, .1) !important;
    }
}

.TheNavbar {
    height: 70px;

    .v-navigation-drawer__content {
        li {
            font-size: 14px !important;
        }
    }

    .v-expansion-panel-title {
        min-height: 0 !important;
    }

    .v-expansion-panel-title__overlay {
        display: none;
    }

    .v-expansion-panel-text__wrapper {
        padding: 0;



        .v-list-item--density-default:not(.v-list-item--nav).v-list-item--one-line {
            padding-inline-start: 0;
            padding-inline-end: 0;
        }

        .v-list-item-title {
            font-size: 12px;
        }
    }

    .v-app-bar {
        border-bottom: 1px solid #EFEFEF;
    }


    .navbar-items {
        list-style: none;

        li {
            font-style: normal;
            font-size: 16px;
            line-height: 25px;
            margin-left: 50px;
            cursor: pointer;

            a {

                color: #000c37;
                transition: 0.5s;

                &:hover {
                    color: #0139ff;
                    transition: 0.5s;
                }
            }
        }
    }

    .v-toolbar {
        .v-toolbar__content {
            justify-content: center;
        }

        .flex-grow-1 {
            flex-grow: unset !important;
        }
    }

    .v-toolbar-title {
        font-style: normal;
        font-weight: 900;
        font-size: 30px;
        line-height: 70px;
        color: #181818;

        &::first-letter {
            text-transform: uppercase;
            color: #122771;
            font-size: 45px !important;

        }
    }

    @media only screen and (max-width:768px) {
        & {
            height: 40px !important;

            .product-form {
                height: 30px;
            }

            .v-toolbar-title {
                margin-top: 10px;
                font-size: 25px;
                line-height: 50px;

                &::first-letter {
                    font-size: 35px !important;
                }
            }

        }
    }
}
</style>